Skip to main content
Version: 10.1

Background Jobs

Certain requests may take additional time to process. They will return an HTTP 202 Accepted status code along with a resource to query.

warning

In rWeb versions prior to 9.7.0, background jobs MUST be deleted manually after they report that they are finished.

GET /delayed_job_statuses/:id​

Returns the status of the background job. This can be re-polled to get an updated status message until the job is finished. Once the job is finished, the status should not change further.

GET Response Values​

NameTypeDescription
messageStringHuman readable job status description
finishedBooleanTrue if this job has completed
failedBooleanTrue if this job has failed

Example GET Request​

GET /delayed_job_statuses/81

Example GET Response​

{
"delayed_job_status_resource": "/delayed_job_statuses/81",
"message": "Data subnet is private",
"finished": true,
"failed": true,
"user": "bli"
}

DELETE /delayed_job_statuses/:id​

Before rWeb 9.7.0, job status must be deleted after the job has been finished and the status has been read. In rWeb 9.7.0 or later, job status will be automatically removed after some time. It can still be deleted manually to clean up early.